Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ericsson.otp.ic
Class CharHolder

    java.lang.Object
      com.ericsson.otp.ic.CharHolder

All Implemented Interfaces:
  Holder, java.io.Serializable

    public final class CharHolder

extends java.lang.Object
implements Holder

Holder class for Char, according to OMG-IDL java mapping.

See Also:
  Serialized Form

Field Summary
`char` | `value`

Constructor Summary
`CharHolder()`
`CharHolder(char initial)`

Method Summary
`boolean` | `equals(char c)` Comparisson method for Chars.
`boolean` | `equals(java.lang.Object obj)` Comparisson method for Chars.

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public char value

Constructor Detail

### CharHolder

    public CharHolder()

### CharHolder

    public CharHolder(char initial)

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Comparisson method for Chars.

  Overrides:
    `equals` in class `java.lang.Object`
  Returns:
    true if the input object equals the current object, false otherwize

### equals

    public boolean equals(char c)

  Comparisson method for Chars.

  Returns:
    true if the input char value equals the value of the current object, false otherwize

Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1991-2007 Ericsson AB
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD